AMCLGps Class Reference
Inheritance diagram for AMCLGps:

## Public Member Functions

virtual int | Load (ConfigFile *cf, int section)
virtual int | Unload (void)
virtual int | Setup (void)
virtual int | Shutdown (void)
virtual bool | InitSensor (pf_t *pf, pf_vector_t mean, pf_matrix_t cov)
virtual bool | UpdateSensor (pf_t *pf)
Public Member Functions inherited from AMCLSensor
| AMCLSensor (AdaptiveMCL &aAMCL)
virtual int | ProcessMessage (QueuePointer &resp_queue, player_msghdr *hdr, void *data)=0
virtual bool | UpdateAction (pf_t *pf, AMCLSensorData *data)
virtual bool | InitSensor (pf_t *pf, AMCLSensorData *data)
virtual bool | UpdateSensor (pf_t *pf, AMCLSensorData *data)

## Private Member Functions

virtual bool | GetData (void)

## Private Attributes

int | gps_index
Driver * | device
gps_model_t * | model
uint32_t | tsec
uint32_t | tusec
double | utm_e
double | utm_n
double | err_horz

## Additional Inherited Members

Public Attributes inherited from AMCLSensor
bool | is_action
pf_vector_t | pose
Protected Attributes inherited from AMCLSensor
AdaptiveMCL & | AMCL

The documentation for this class was generated from the following files:

- amcl_gps.h
- amcl_gps.cc

Last updated 12 September 2005 21:38:45